<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>CopyResource xref</title>
<link type="text/css" rel="stylesheet" href="../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../apidocs/net/sf/debianmaven/CopyResource.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <em class="jxr_comment">/*</em>
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   <em class="jxr_comment"> *   This program is free software: you can redistribute it and/or modify</em>
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <em class="jxr_comment"> *   it under the terms of the GNU General Public License as published by</em>
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   <em class="jxr_comment"> *   the Free Software Foundation, either version 3 of the License, or</em>
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   <em class="jxr_comment"> *   (at your option) any later version.</em>
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   <em class="jxr_comment"> *   This program is distributed in the hope that it will be useful,</em>
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   <em class="jxr_comment"> *   but WITHOUT ANY WARRANTY; without even the implied warranty of</em>
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   <em class="jxr_comment"> *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</em>
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  <em class="jxr_comment"> *   GNU General Public License for more details.</em>
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  <em class="jxr_comment"> *   You should have received a copy of the GNU General Public License</em>
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  <em class="jxr_comment"> *   along with this program.  If not, see &lt;<a href="http://www.gnu.org/licenses/&gt;" target="alexandria_uri">http://www.gnu.org/licenses/&gt;</a>.</em>
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  <em class="jxr_comment"> */</em>
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  <em class="jxr_comment">/*</em>
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  <em class="jxr_comment"> * CopyResource.java</em>
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  <em class="jxr_comment"> * Copyright (C) 2019 University of Waikato, Hamilton, NZ</em>
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  <em class="jxr_comment"> */</em>
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  <strong class="jxr_keyword">package</strong> net.sf.debianmaven;
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  <strong class="jxr_keyword">import</strong> java.io.Serializable;
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  <strong class="jxr_keyword">import</strong> java.util.regex.Pattern;
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  <strong class="jxr_keyword">import</strong> java.util.regex.PatternSyntaxException;
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  
<a class="jxr_linenumber" name="L27" href="#L27">27</a>  <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L28" href="#L28">28</a>  <em class="jxr_javadoccomment"> * For defining source, target and pattern for copying resources.</em>
<a class="jxr_linenumber" name="L29" href="#L29">29</a>  <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L30" href="#L30">30</a>  <em class="jxr_javadoccomment"> * @author FracPete (fracpete at waikato dot ac dot nz)</em>
<a class="jxr_linenumber" name="L31" href="#L31">31</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L32" href="#L32">32</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">class</strong> <a href="../../../net/sf/debianmaven/CopyResource.html">CopyResource</a> <strong class="jxr_keyword">implements</strong> Serializable
<a class="jxr_linenumber" name="L33" href="#L33">33</a>  {
<a class="jxr_linenumber" name="L34" href="#L34">34</a>  	<strong class="jxr_keyword">private</strong> String source;
<a class="jxr_linenumber" name="L35" href="#L35">35</a>  	
<a class="jxr_linenumber" name="L36" href="#L36">36</a>  	<strong class="jxr_keyword">private</strong> String target;
<a class="jxr_linenumber" name="L37" href="#L37">37</a>  	
<a class="jxr_linenumber" name="L38" href="#L38">38</a>  	<strong class="jxr_keyword">private</strong> String include;
<a class="jxr_linenumber" name="L39" href="#L39">39</a>  	
<a class="jxr_linenumber" name="L40" href="#L40">40</a>  	<strong class="jxr_keyword">private</strong> Pattern includePattern;
<a class="jxr_linenumber" name="L41" href="#L41">41</a>  
<a class="jxr_linenumber" name="L42" href="#L42">42</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L43" href="#L43">43</a>  <em class="jxr_javadoccomment">	 * Default constructor.</em>
<a class="jxr_linenumber" name="L44" href="#L44">44</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L45" href="#L45">45</a>  	<strong class="jxr_keyword">public</strong> <a href="../../../net/sf/debianmaven/CopyResource.html">CopyResource</a>()
<a class="jxr_linenumber" name="L46" href="#L46">46</a>  	{
<a class="jxr_linenumber" name="L47" href="#L47">47</a>  		source = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L48" href="#L48">48</a>  		target = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L49" href="#L49">49</a>  		include = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L50" href="#L50">50</a>  		includePattern = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L51" href="#L51">51</a>  	}
<a class="jxr_linenumber" name="L52" href="#L52">52</a>  
<a class="jxr_linenumber" name="L53" href="#L53">53</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L54" href="#L54">54</a>  <em class="jxr_javadoccomment">	 * Initializes with the specified source, target, include pattern.</em>
<a class="jxr_linenumber" name="L55" href="#L55">55</a>  <em class="jxr_javadoccomment">	 * @param source the source</em>
<a class="jxr_linenumber" name="L56" href="#L56">56</a>  <em class="jxr_javadoccomment">	 * @param target the target</em>
<a class="jxr_linenumber" name="L57" href="#L57">57</a>  <em class="jxr_javadoccomment">	 * @param include the regular expression</em>
<a class="jxr_linenumber" name="L58" href="#L58">58</a>  <em class="jxr_javadoccomment">	 * @throws PatternSyntaxException if include pattern invalid</em>
<a class="jxr_linenumber" name="L59" href="#L59">59</a>  <em class="jxr_javadoccomment">	 * @see #setSource(String)</em>
<a class="jxr_linenumber" name="L60" href="#L60">60</a>  <em class="jxr_javadoccomment">	 * @see #setTarget(String)</em>
<a class="jxr_linenumber" name="L61" href="#L61">61</a>  <em class="jxr_javadoccomment">	 * @see #setInclude(String)</em>
<a class="jxr_linenumber" name="L62" href="#L62">62</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L63" href="#L63">63</a>  	<strong class="jxr_keyword">public</strong> <a href="../../../net/sf/debianmaven/CopyResource.html">CopyResource</a>(String source, String target, String include) <strong class="jxr_keyword">throws</strong> PatternSyntaxException
<a class="jxr_linenumber" name="L64" href="#L64">64</a>  	{
<a class="jxr_linenumber" name="L65" href="#L65">65</a>  		<strong class="jxr_keyword">this</strong>();
<a class="jxr_linenumber" name="L66" href="#L66">66</a>  		setSource(source);
<a class="jxr_linenumber" name="L67" href="#L67">67</a>  		setTarget(target);
<a class="jxr_linenumber" name="L68" href="#L68">68</a>  		setInclude(include);
<a class="jxr_linenumber" name="L69" href="#L69">69</a>  	}
<a class="jxr_linenumber" name="L70" href="#L70">70</a>  
<a class="jxr_linenumber" name="L71" href="#L71">71</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L72" href="#L72">72</a>  <em class="jxr_javadoccomment">	 * Sets the source.</em>
<a class="jxr_linenumber" name="L73" href="#L73">73</a>  <em class="jxr_javadoccomment">	 * @param value the dir/file</em>
<a class="jxr_linenumber" name="L74" href="#L74">74</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L75" href="#L75">75</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> setSource(String value) 
<a class="jxr_linenumber" name="L76" href="#L76">76</a>  	{
<a class="jxr_linenumber" name="L77" href="#L77">77</a>  		source = value;
<a class="jxr_linenumber" name="L78" href="#L78">78</a>  	}
<a class="jxr_linenumber" name="L79" href="#L79">79</a>  
<a class="jxr_linenumber" name="L80" href="#L80">80</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L81" href="#L81">81</a>  <em class="jxr_javadoccomment">	 * Returns the source.</em>
<a class="jxr_linenumber" name="L82" href="#L82">82</a>  <em class="jxr_javadoccomment">	 * @return the dir/file, null if none set</em>
<a class="jxr_linenumber" name="L83" href="#L83">83</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L84" href="#L84">84</a>  	<strong class="jxr_keyword">public</strong> String getSource()
<a class="jxr_linenumber" name="L85" href="#L85">85</a>  	{
<a class="jxr_linenumber" name="L86" href="#L86">86</a>  		<strong class="jxr_keyword">return</strong> source;
<a class="jxr_linenumber" name="L87" href="#L87">87</a>  	}
<a class="jxr_linenumber" name="L88" href="#L88">88</a>  	
<a class="jxr_linenumber" name="L89" href="#L89">89</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L90" href="#L90">90</a>  <em class="jxr_javadoccomment">	 * Sets the target.</em>
<a class="jxr_linenumber" name="L91" href="#L91">91</a>  <em class="jxr_javadoccomment">	 * @param value the dir/file</em>
<a class="jxr_linenumber" name="L92" href="#L92">92</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L93" href="#L93">93</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> setTarget(String value) 
<a class="jxr_linenumber" name="L94" href="#L94">94</a>  	{
<a class="jxr_linenumber" name="L95" href="#L95">95</a>  		target = value;
<a class="jxr_linenumber" name="L96" href="#L96">96</a>  	}
<a class="jxr_linenumber" name="L97" href="#L97">97</a>  
<a class="jxr_linenumber" name="L98" href="#L98">98</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L99" href="#L99">99</a>  <em class="jxr_javadoccomment">	 * Returns the target.</em>
<a class="jxr_linenumber" name="L100" href="#L100">100</a> <em class="jxr_javadoccomment">	 * @return the dir/file, null if none set</em>
<a class="jxr_linenumber" name="L101" href="#L101">101</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L102" href="#L102">102</a> 	<strong class="jxr_keyword">public</strong> String getTarget()
<a class="jxr_linenumber" name="L103" href="#L103">103</a> 	{
<a class="jxr_linenumber" name="L104" href="#L104">104</a> 		<strong class="jxr_keyword">return</strong> target;
<a class="jxr_linenumber" name="L105" href="#L105">105</a> 	}
<a class="jxr_linenumber" name="L106" href="#L106">106</a> 	
<a class="jxr_linenumber" name="L107" href="#L107">107</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L108" href="#L108">108</a> <em class="jxr_javadoccomment">	 * Sets the include regular expression.</em>
<a class="jxr_linenumber" name="L109" href="#L109">109</a> <em class="jxr_javadoccomment">	 * @param value the expression</em>
<a class="jxr_linenumber" name="L110" href="#L110">110</a> <em class="jxr_javadoccomment">	 * @throws PatternSyntaxException if the string is not a value regular expression</em>
<a class="jxr_linenumber" name="L111" href="#L111">111</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L112" href="#L112">112</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> setInclude(String value) <strong class="jxr_keyword">throws</strong> PatternSyntaxException
<a class="jxr_linenumber" name="L113" href="#L113">113</a> 	{
<a class="jxr_linenumber" name="L114" href="#L114">114</a> 		<strong class="jxr_keyword">if</strong> ((value == <strong class="jxr_keyword">null</strong>) || value.isEmpty())
<a class="jxr_linenumber" name="L115" href="#L115">115</a> 		{
<a class="jxr_linenumber" name="L116" href="#L116">116</a> 			setInclude(<span class="jxr_string">".*"</span>);
<a class="jxr_linenumber" name="L117" href="#L117">117</a> 			<strong class="jxr_keyword">return</strong>;
<a class="jxr_linenumber" name="L118" href="#L118">118</a> 		}
<a class="jxr_linenumber" name="L119" href="#L119">119</a> 		includePattern = Pattern.compile(value);
<a class="jxr_linenumber" name="L120" href="#L120">120</a> 		include = value;
<a class="jxr_linenumber" name="L121" href="#L121">121</a> 	}
<a class="jxr_linenumber" name="L122" href="#L122">122</a> 
<a class="jxr_linenumber" name="L123" href="#L123">123</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L124" href="#L124">124</a> <em class="jxr_javadoccomment">	 * Returns the include regular expression.</em>
<a class="jxr_linenumber" name="L125" href="#L125">125</a> <em class="jxr_javadoccomment">	 * @return the expression, null if none set</em>
<a class="jxr_linenumber" name="L126" href="#L126">126</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L127" href="#L127">127</a> 	<strong class="jxr_keyword">public</strong> String getInclude()
<a class="jxr_linenumber" name="L128" href="#L128">128</a> 	{
<a class="jxr_linenumber" name="L129" href="#L129">129</a> 		<strong class="jxr_keyword">return</strong> include;
<a class="jxr_linenumber" name="L130" href="#L130">130</a> 	}
<a class="jxr_linenumber" name="L131" href="#L131">131</a> 
<a class="jxr_linenumber" name="L132" href="#L132">132</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L133" href="#L133">133</a> <em class="jxr_javadoccomment">	 * Returns the compiled include pattern. Uses .* if no include pattern was set.</em>
<a class="jxr_linenumber" name="L134" href="#L134">134</a> <em class="jxr_javadoccomment">	 * @return the pattern</em>
<a class="jxr_linenumber" name="L135" href="#L135">135</a> <em class="jxr_javadoccomment">	 * @see #setInclude(String)</em>
<a class="jxr_linenumber" name="L136" href="#L136">136</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L137" href="#L137">137</a> 	<strong class="jxr_keyword">public</strong> Pattern getIncludePattern()
<a class="jxr_linenumber" name="L138" href="#L138">138</a> 	{
<a class="jxr_linenumber" name="L139" href="#L139">139</a> 		<strong class="jxr_keyword">if</strong> ((include == <strong class="jxr_keyword">null</strong>) || include.isEmpty())
<a class="jxr_linenumber" name="L140" href="#L140">140</a> 			setInclude(<span class="jxr_string">".*"</span>);
<a class="jxr_linenumber" name="L141" href="#L141">141</a> 		<strong class="jxr_keyword">return</strong> includePattern;
<a class="jxr_linenumber" name="L142" href="#L142">142</a> 	}
<a class="jxr_linenumber" name="L143" href="#L143">143</a> 
<a class="jxr_linenumber" name="L144" href="#L144">144</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L145" href="#L145">145</a> <em class="jxr_javadoccomment">	 * Returns a short description of the setup.</em>
<a class="jxr_linenumber" name="L146" href="#L146">146</a> <em class="jxr_javadoccomment">	 * @return the description</em>
<a class="jxr_linenumber" name="L147" href="#L147">147</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L148" href="#L148">148</a> 	<strong class="jxr_keyword">public</strong> String toString()
<a class="jxr_linenumber" name="L149" href="#L149">149</a> 	{
<a class="jxr_linenumber" name="L150" href="#L150">150</a> 		<strong class="jxr_keyword">return</strong> <span class="jxr_string">"source="</span> + (source == <strong class="jxr_keyword">null</strong> ? <span class="jxr_string">"???"</span> : source)
<a class="jxr_linenumber" name="L151" href="#L151">151</a> 			+ <span class="jxr_string">", target="</span> + (target == <strong class="jxr_keyword">null</strong> ? <span class="jxr_string">"???"</span> : target)
<a class="jxr_linenumber" name="L152" href="#L152">152</a> 			+ <span class="jxr_string">", include="</span> + (include == <strong class="jxr_keyword">null</strong> ? <span class="jxr_string">".*"</span> : include);
<a class="jxr_linenumber" name="L153" href="#L153">153</a> 	}
<a class="jxr_linenumber" name="L154" href="#L154">154</a> }
</pre>
<hr/>
<div id="footer">Copyright &#169; 2012&#x2013;2019. All rights reserved.</div>
</body>
</html>
